[Rubygems-developers] How to install rubygems on MinGW?

Eric Hodel drbrain at segment7.net
Fri Jun 6 17:04:09 EDT 2008


On Jun 6, 2008, at 02:13 AM, Atsushi SAKAI wrote:
> I have a question about rubygems to install MinGW.
>
> If this mailing list is wrong for this issue,
> Please suggest me.
>
> I am trying to do ruby setup.py,
> but it generates many error message like follows.
> If any good page exists, please suggest me.
>
> =================
> install -c -m 0755 C:/DOCUME~1/ADMINI~1/LOCALS~1/Temp/gem.bat C:/ 
> msys/1.0/local/bin/gem.bat
> rm C:/DOCUME~1/ADMINI~1/LOCALS~1/Temp/gem.bat
> rm -f C:/msys/1.0/local/lib/ruby/gems/1.8/source_cache
> rm -rf C:/msys/1.0/local/lib/ruby/gems/1.8/doc/rubygems-1.1.1
>
> lib/rubygems/command_manager.rb:139:61: Skipping require of dynamic  
> string: "rubygems/commands/#{command_name}_command"
>
> lib/rubygems/dependency_installer.rb:38:5: Unrecognized directive  
> 'env_shebang'
>
> lib/rubygems/installer.rb:59:5: Unrecognized directive 'env_shebang'
>
> lib/rubygems/install_update_options.rb:22:32: ':' not followed by  
> identified or operator
>
> lib/rubygems/install_update_options.rb:28:32: ':' not followed by  
> identified or operator

These warning come from RDoc, so your installation should be complete  
if these are the only ones.


More information about the Rubygems-developers mailing list